unit uMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes,
  System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, DPF.iOS.BaseControl,
  DPF.iOS.UIButton, DPF.iOS.UIAlertView;

type
  TFAlertView = class( TForm )
    DPFAlertView1: TDPFAlertView;
    DPFButton1: TDPFButton;
    DPFButton2: TDPFButton;
    DPFButton3: TDPFButton;
    DPFButton4: TDPFButton;
    DPFButton5: TDPFButton;
    procedure DPFButton1Click( Sender: TObject );
    procedure DPFButton2Click( Sender: TObject );
    procedure DPFButton3Click( Sender: TObject );
    procedure DPFButton4Click( Sender: TObject );
    procedure DPFButton5Click( Sender: TObject );
    procedure DPFAlertView1Show( Sender: TObject; var InoutFocusedIndex: Integer );
    procedure FormCreate( Sender: TObject );
  private
    { Private declarations }
  protected
  public
    { Public declarations }
  end;

var
  FAlertView: TFAlertView;

implementation

{$R *.fmx}

// ------------------------------------------------------------------------------
procedure TFAlertView.DPFAlertView1Show( Sender: TObject; var InoutFocusedIndex: Integer );
begin
  InoutFocusedIndex := 1;
end;

procedure TFAlertView.DPFButton1Click( Sender: TObject );
begin
  DPFAlertView1.ViewStyle := TDPFAlertViewStyle.avsDefault;
  DPFAlertView1.ShowMessageDialog( 'This is custom Title', 'My Custom Message', ['Yes', 'No'], 1, [], [] );
  exit;
  ShowMessage( 'Clicked Index : ' + IntToStr( DPFAlertView1.ShowMessageDialog( 'This is custom Title', 'My Custom Message', ['Yes', 'No'], 1, [], [] ) ) );
end;

// ------------------------------------------------------------------------------
procedure TFAlertView.DPFButton2Click( Sender: TObject );
begin
  DPFAlertView1.ViewStyle := TDPFAlertViewStyle.avsSecureTextInput;
  ShowMessage( 'Clicked Index : ' + IntToStr( DPFAlertView1.ShowMessageDialog( 'Secure Text Input', 'My Custom Message', ['Cancel', 'Ok'], 1, [], [] ) ) );
end;

procedure TFAlertView.DPFButton3Click( Sender: TObject );
begin
  DPFAlertView1.ViewStyle := TDPFAlertViewStyle.avsPlainTextInput;
  ShowMessage( 'Clicked Index : ' + IntToStr( DPFAlertView1.ShowMessageDialog( 'Plain Text Input', 'My Custom Message', ['Cancel', 'Ok'], 1, [], ['Type something here !'] ) ) );
end;

procedure TFAlertView.DPFButton4Click( Sender: TObject );
begin
  DPFAlertView1.ViewStyle := TDPFAlertViewStyle.avsLoginAndPasswordInput;
  ShowMessage( 'Clicked Index : ' + IntToStr( DPFAlertView1.ShowMessageDialog( 'Login And Password Input', 'My Custom Message', ['Login', 'Cancel'], 1, [], [] ) ) );
end;

procedure TFAlertView.DPFButton5Click( Sender: TObject );
begin
  DPFAlertView1.ViewStyle := TDPFAlertViewStyle.avsPlainTextInput;
  ShowMessage( 'Clicked Index : ' + IntToStr( DPFAlertView1.ShowMessageDialog( 'Plain Text Input', 'My Custom Message', ['Cancel', 'Ok'], 1, ['Hello, Pre-Defined Text !'], [] ) ) );
end;

procedure TFAlertView.FormCreate( Sender: TObject );
begin
  application.Terminate;
end;

end.
